package j2d.color.quantization;

import gui.run.RunButton;
import j2d.ImageProcessListener;

import javax.swing.*;
import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: Dahiana M
 * Date: Apr 25, 2005
 * Time: 12:46:41 PM
 * To change this template use File | Settings | File Templates.
 */
public class MedianCutPanel
        extends JPanel {
    ImageProcessListener ipl = null;
    ColorFrame cf = null;

    public MedianCutPanel(ImageProcessListener _ipl) {
        ipl = _ipl;

        setLayout(new GridLayout(4, 0));
        add(new RunButton("to 256") {
            public void run() {
                initialize();
                cf.medianCut(256);
                ipl.setImage(cf.getImage());
            }
        });
        add(new RunButton("to 128") {
            public void run() {
                initialize();
                cf.medianCut(128);
                ipl.setImage(cf.getImage());
            }
        });
        add(new RunButton("to 64") {
            public void run() {
                initialize();
                cf.medianCut(64);
                ipl.setImage(cf.getImage());
            }
        });
        add(new RunButton("to 32") {
            public void run() {
                initialize();
                cf.medianCut(32);
                ipl.setImage(cf.getImage());
            }
        });
        add(new RunButton("to 16") {
            public void run() {
                initialize();
                cf.medianCut(16);
                ipl.setImage(cf.getImage());
            }
        });
        add(new RunButton("to 8") {
            public void run() {
                initialize();
                cf.medianCut(8);
                ipl.setImage(cf.getImage());
            }
        });
        add(new RunButton("to 4") {
            public void run() {
                initialize();
                cf.medianCut(4);
                ipl.setImage(cf.getImage());
            }
        });


    }

    public void initialize() {
        Image img = ipl.getImage();
        cf = new ColorFrame();
        cf.setImage(img);
    }

}
